%define upstream_name    Linux-Smaps
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A Perl interface to /proc/PID/smaps
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The _/proc/PID/smaps_ files in modern linuxes provides very detailed
information about a processes memory consumption. It particularly includes
a way to estimate the effect of copy-on-write. This module implements a
Perl interface.

The content of the _smaps_ file is a set of blocks like this:

 0060a000-0060b000 r--p 0000a000 fd:01 531212       /bin/cat
 Size:                  4 kB
 Rss:                   4 kB
 Pss:                   4 kB
 Shared_Clean:          0 kB
 Shared_Dirty:          0 kB
 Private_Clean:         0 kB
 Private_Dirty:         4 kB
 Referenced:            4 kB
 Swap:                  0 kB
 KernelPageSize:        4 kB
 MMUPageSize:           4 kB

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 527083
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.120.0-1.mga4
+ Revision: 439466
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 369121
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 ahmad <ahmad> 0.90.0-1.mga2
+ Revision: 120118
- imported package perl-Linux-Smaps


* Fri Jul 08 2011 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
